<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Product Details</title>
  
  <link rel="stylesheet" th:href="@{/css/productdetails.css}">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css">
  <link rel="stylesheet" href="path/to/font-awesome/css/font-awesome.min.css">
  
  <style>
	  
body {
    font-family: Arial, sans-serif;
}

.container{
    width: 1200px;
}

.comment-container {
    display: grid;
  grid-template-columns:1fr;
    gap: 10px;
     
}

.user-avatar {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-right: 10px;
    background-color: #ccc;
}

.comment-content {
    flex-grow: 1;
    background-color: #f0f2f5;
    border-radius: 20px;
    padding: 10px;
}

.user-name {
    font-weight: bold;
    margin-bottom: 5px;
}

.comment-text {
    margin-top: 5px;
}

.comment-input {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 20px;
    margin-top: 20px;
    resize: none;
}

.post-button {
    background-color: rgb(160, 245, 139);
    color: rgb(0, 0, 0);
    border: none;
    border-radius: 20px;
    padding: 10px 20px;
    font-weight: bold;
    cursor: pointer;
}
  </style>
</head>
<body>

<div th:insert="header.html"></div>
  <!-- Navigation part -->

<!-- Navigation Ends -->







 <!--   	
 		<div class="card-container">
			<div th:each="imgname : ${imglist}" class="grid-item">
				<div th:each="product:${productList}"  class="card">
				<span >
	   				<img th:alt="${imgname}" th:src="@{'/productImages/'+${imgname}}"/></span>
	   				<h6>ProductName:<span th:text="${product.pname}"></span></h6>
	   				<p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Cum, incidunt.</p>
     				<p>ProductPrice:<span th:text="${product.cost}"></span></p>

        <p></p>
					<div class="card-content">
						 <a href="/rlogin" class="btn">Bid</a>
						 
					</div>
					
        
				</div>
			</div>
		</div>
	-->	




<div class="card-container">

    <div class="grid-item">
	
        <div class="card">
            <span >
                <img th:alt="${imgnamelist}" th:src="@{'/productImages/'+${product.images}}"/>
            </span>
            <h6>ProductName:<span th:text="${product.pname}"></span></h6>
            <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Cum, incidunt.</p>
            <p>ProductPrice:<span th:text="${product.cost}"></span></p>
            <p></p>
            <div class="card-content">
                <!--<a href="/rlogin" class="btn">Bid</a>-->
               
            </div>
        </div>
    </div>
</div>





  <div class="container">
<div class="comment-container" th:block th:each="map : ${listData}" >
  <!-- <div class="user-avatar"></div>  -->
  <div class="comment-content" th:each="e : ${map}">
   
      <div class="user-name" t hidden></div>
      <div class="comment-text" hidden></div>
  </div>
 <!--  <div class="user-avatar">2</div> -->
  <div class="comment-content">
    
      <div th:text="${e.key}" class="user-name" ></div>
      <div th:text="${e.value}"class="comment-text"></div>
  </div>
</div>

<!-- Comment Input Form -->
<form th:action="@{/bidamount}" method="post">
<textarea class="comment-input" name="bidamount" placeholder="Enter Bid Price.."></textarea>
<input type="text" name="p_id" th:value="${product.p_id}" hidden>
<input type="text" name="r_id" th:value="${r_id}" hidden>
<!--<script>
    // JavaScript code to redirect to the same page
    window.location.href = window.location.href;
</script>-->


<button class="post-button" name="bid_button" id="bid_button" >Bid</button>

</form>
<input type="text" name="for_rid" th:value="${name}" hidden>
</div>

 

  

<div class="footer">
<div class="container">
  <p id="copyright">
    &copy; <span id="currentYear"></span> Agro-Bidding. All rights reserved.
  </p>
</div>
</div>

<script src="logic.js"></script>

</body>
</html>
